<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* /templates/admin/presets.twig */
class __TwigTemplate_134b56a623545d1b370d1c27a228f9bc extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'template' => [$this, 'block_template'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 1
        return "/layouts/main.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 3
        $context["active_menu"] = "templates";
        // line 5
        $context["strings"] = ["delete_success" => __("Preset has been deleted successfully.")];
        // line 9
        $context["xdata"] = ('' === $tmp = \Twig\Extension\CoreExtension::captureOutput((function () use (&$context, $macros, $blocks) {
            // line 10
            yield "list(\"presets\", ";
            yield Twig\Extension\EscaperExtension::escape($this->env, json_encode(($context["strings"] ?? null)), "html", null, true);
            yield ")
";
        })() ?? new \EmptyIterator())) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 1
        $this->parent = $this->loadTemplate("/layouts/main.twig", "/templates/admin/presets.twig", 1);
        yield from $this->parent->unwrap()->yield($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        yield Twig\Extension\EscaperExtension::escape($this->env, Twig\Extension\CoreExtension::titleStringFilter($this->env, p__("title", "Templates")), "html", null, true);
        return; yield '';
    }

    // line 15
    public function block_template($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 17
        yield "<div class=\"flex items-center justify-between\">
  <div>
    <h1>";
        // line 19
        yield Twig\Extension\EscaperExtension::escape($this->env, p__("heading", "Templates"), "html", null, true);
        yield "</h1>

    <template x-if=\"total !== null\">
      <div class=\"text-sm text-content-dimmed md:hidden\">
        ";
        // line 23
        yield Twig\Extension\CoreExtension::replaceFilter(__("Total :count templates"), [":count" => "<span x-text=\"total\"></span>"]);
        yield "
      </div>
    </template>
  </div>

  <div class=\"flex items-center gap-2 md:hidden\">
    <button type=\"button\" class=\"hidden w-8 h-8 avatar\">
      <i class=\"text-lg ti ti-adjustments-horizontal\"></i>
    </button>

    <a href=\"admin/templates/new\"
      class=\"w-8 h-8 rounded-full button button-accent button-sm\">
      <i class=\"text-lg ti ti-plus\"></i>
    </a>
  </div>

  <a href=\"admin/templates/new\"
    class=\"hidden md:flex button button-accent button-sm\">
    ";
        // line 41
        yield Twig\Extension\EscaperExtension::escape($this->env, p__("button", "Create template"), "html", null, true);
        yield "
  </a>
</div>

";
        // line 46
        yield from         $this->loadTemplate("/snippets/filters.twig", "/templates/admin/presets.twig", 46)->unwrap()->yield(CoreExtension::arrayMerge($context, ["total" => "Total :count templates", "filters" => [["label" => "Category", "model" => "category", "options" => []], ["label" => "Type", "model" => "is_locked", "options" => [["value" => "1", "label" => __("Built-in")], ["value" => "0", "label" => __("Custom")]]], ["label" => "Status", "model" => "status", "options" => [["value" => "0", "label" => p__("status", "Inactive")], ["value" => "1", "label" => p__("status", "Active")]]]], "sort" => [["value" => null, "label" => p__("label", "Default")], ["value" => "created_at", "label" => p__("label", "Date")], ["value" => "title", "label" => p__("label", "Title")]]]));
        // line 101
        yield "
";
        // line 103
        yield "<div class=\"group/list\" :data-state=\"state\">
  <div class=\"hidden group-data-[state=empty]/list:block\">
    ";
        // line 105
        yield from         $this->loadTemplate("sections/empty.twig", "/templates/admin/presets.twig", 105)->unwrap()->yield(CoreExtension::arrayMerge($context, ["title" => p__("heading", "Empty result set"), "message" => __("There are no templates yet."), "reset" => __("There are no template matching your search.")]));
        // line 106
        yield "  </div>

  <div
    class=\"hidden md:grid grid-cols-12 gap-3 items-center px-3 py-2 text-content-dimmed text-xs group-data-[state=empty]/list:hidden\">
    <div class=\"col-span-7\">";
        // line 110
        yield Twig\Extension\EscaperExtension::escape($this->env, p__("label", "Template"), "html", null, true);
        yield "</div>
    <div class=\"col-span-3\">";
        // line 111
        yield Twig\Extension\EscaperExtension::escape($this->env, p__("label", "Category"), "html", null, true);
        yield "</div>
    <div class=\"col-span-1\">";
        // line 112
        yield Twig\Extension\EscaperExtension::escape($this->env, p__("label", "Status"), "html", null, true);
        yield "</div>
    <div class=\"col-span-1\"></div>
  </div>

  <ul class=\"text-sm group-data-[state=empty]/list:hidden flex flex-col gap-1\">
    ";
        // line 117
        $context['_parent'] = $context;
        $context['_seq'] = CoreExtension::ensureTraversable(range(1, 5));
        foreach ($context['_seq'] as $context["_key"] => $context["i"]) {
            // line 118
            yield "    <li
      class=\"hidden md:grid-cols-12 justify-between gap-3 items-center p-3 box group-data-[state=initial]/list:flex md:group-data-[state=initial]/list:grid\">
      <div class=\"flex items-center gap-3 md:col-span-7\">
        <div class=\"avatar loading\"></div>

        <div>
          <div class=\"flex items-center gap-2\">
            <span class=\"h-5 w-28 loading\"></span>
            <span class=\"hidden w-16 h-6 loading md:block\"></span>
          </div>

          <div class=\"md:hidden w-20 h-5 loading my-0.5\"></div>
        </div>
      </div>

      <div class=\"hidden md:block md:col-span-3\">
        <span class=\"inline-block w-20 h-5 my-0.5 loading\"></span>
      </div>

      <div class=\"hidden md:block md:col-span-1\"></div>

      <div class=\"md:col-span-1 justify-self-end\">
        <i class=\"text-2xl ti ti-dots-vertical text-content-dimmed\"></i>
      </div>
    </li>
    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['i'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 144
        yield "
    <template x-for=\"preset in resources\" :key=\"preset.id\">
      <li
        class=\"relative flex items-center justify-between grid-cols-12 gap-3 p-3 md:grid box hover:border-line\"
        x-data>
        <a :href=\"`admin/templates/\${preset.id}`\"
          class=\"absolute top-0 left-0 w-full h-full cursor-pointer\"></a>

        <div class=\"flex items-center gap-3 md:col-span-7\">
          <div class=\"avatar\"
            :style=\"{backgroundColor: preset.color, color: '#fff'}\">

            <template x-if=\"!preset.image\">
              <span
                x-text=\"preset.title.match(/(\\b\\S)?/g).join('').slice(0, 2)\">
              </span>
            </template>

            <template x-if=\"preset.image && preset.image.startsWith('<svg')\">
              <div x-html=\"preset.image\"></div>
            </template>

            <template x-if=\"preset.image && !preset.image.startsWith('<svg')\">
              <i class=\"ti\" :class='`ti-\${preset.image}`'></i>
            </template>
          </div>

          <div>
            <div class=\"flex items-center gap-6\">
              <div class=\"font-bold\" x-text=\"preset.title\"></div>

              <template x-if=\"preset.is_locked\">
                <div class=\"hidden md:block\">
                  <span class=\"badge\">";
        // line 177
        yield Twig\Extension\EscaperExtension::escape($this->env, __("Built-in"), "html", null, true);
        yield "</span>
                </div>
              </template>
            </div>

            <div class=\"text-content-dimmed md:hidden\">
              <span x-text=\"preset.category?.title\"></span>
            </div>
          </div>
        </div>

        <div class=\"hidden md:block md:col-span-3\"
          x-text=\"preset.category?.title\"></div>

        <div class=\"hidden md:block md:col-span-1\">
          <label
            class=\"relative z-10 inline-flex items-center gap-2 cursor-pointer\">
            <input type=\"checkbox\" name=\"status\" class=\"hidden peer\"
              :checked=\"preset.status == 1\" @click=\"toggleStatus(preset)\">

            <span
              class=\"h-6 w-10 rounded-3xl bg-line relative block peer-checked:bg-success transition-all after:h-5 after:w-5 after:top-0.5 after:absolute after:left-0 after:ml-0.5 after:transition-all after:rounded-full after:bg-white peer-checked:after:left-4\"></span>

            <span class=\"text-content-dimmed peer-checked:hidden\">
              ";
        // line 201
        yield Twig\Extension\EscaperExtension::escape($this->env, p__("status", "Inactive"), "html", null, true);
        yield "
            </span>

            <span class=\"hidden text-success peer-checked:inline\">
              ";
        // line 205
        yield Twig\Extension\EscaperExtension::escape($this->env, p__("status", "Active"), "html", null, true);
        yield "
            </span>
          </label>
        </div>

        <div class=\"md:col-span-1 justify-self-end\">
          <div class=\"relative\"
            @click.outside=\"\$refs.context.removeAttribute('data-open')\">

            <button class=\"relative z-10\"
              @click=\"\$refs.context.toggleAttribute('data-open')\">
              <i
                class=\"ti ti-dots-vertical text-content-dimmed hover:text-intermediate-content\"></i>
            </button>

            <div class=\"menu\" x-ref=\"context\">
              <ul>
                <li>
                  <a :href=\"`admin/templates/\${preset.id}`\"
                    class=\"flex items-center gap-2 px-4 py-2 hover:no-underline hover:bg-intermediate\">
                    <i class=\"ti ti-pencil\"></i>
                    ";
        // line 226
        yield Twig\Extension\EscaperExtension::escape($this->env, p__("button", "Edit"), "html", null, true);
        yield "
                  </a>
                </li>

                <li x-show=\"!preset.is_locked\">
                  <button
                    class=\"flex items-center w-full gap-2 px-4 py-2 hover:no-underline hover:bg-intermediate\"
                    @click.prevent=\"currentResource = preset; modal.open('delete-modal')\">
                    <i class=\"ti ti-trash\"></i>
                    ";
        // line 235
        yield Twig\Extension\EscaperExtension::escape($this->env, p__("button", "Delete"), "html", null, true);
        yield "
                  </button>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </template>
  </ul>
</div>

";
        // line 247
        yield from         $this->loadTemplate("sections/delete-modal.twig", "/templates/admin/presets.twig", 247)->unwrap()->yield(CoreExtension::arrayMerge($context, ["message" => __("Do you really want to delete :title from templates?"), "title" => "currentResource.title"]));
        return; yield '';
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName()
    {
        return "/templates/admin/presets.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable()
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo()
    {
        return array (  300 => 247,  285 => 235,  273 => 226,  249 => 205,  242 => 201,  215 => 177,  180 => 144,  149 => 118,  145 => 117,  137 => 112,  133 => 111,  129 => 110,  123 => 106,  121 => 105,  117 => 103,  114 => 101,  112 => 46,  105 => 41,  84 => 23,  77 => 19,  73 => 17,  69 => 15,  61 => 13,  56 => 1,  50 => 10,  48 => 9,  46 => 5,  44 => 3,  37 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "/templates/admin/presets.twig", "/home/taskly/routerasusapp.com/resources/views/templates/admin/presets.twig");
    }
}
