<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* sections/dashboard/tools.twig */
class __TwigTemplate_7b25011feffdc9f0a761db574cdcbc35 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 1
        yield "<div>
  <h2 class=\"text-lg font-bold\">";
        // line 2
        yield Twig\Extension\EscaperExtension::escape($this->env, p__("heading", "Tools"), "html", null, true);
        yield "</h2>

  <div class=\"grid gap-4 mt-4 md:gap-5 xs:grid-cols-2 md:grid-cols-3\">
    ";
        // line 5
        if ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, true, false, 5), "chat", [], "any", false, true, false, 5), "is_enabled", [], "any", true, true, false, 5) && CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, false, false, 5), "chat", [], "any", false, false, false, 5), "is_enabled", [], "any", false, false, false, 5))) {
            // line 6
            yield "    <div
      class=\"relative flex flex-col justify-start gap-4 box hover:border-line\">
      <i
        class=\"ti ti-messages flex items-center justify-center w-10 h-10 text-white bg-black rounded-full bg-gradient-to-br from-[#00A6FB] to-[#006ABF]\"></i>

      <div>
        <h3 class=\"font-bold\">";
            // line 12
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("heading", "Chat"), "html", null, true);
            yield "</h3>
        <p class=\"text-sm text-content-dimmed mt-1 min-h-[3.75rem]\">
          ";
            // line 14
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("chat-tool-description", "Chat with AI assistants"), "html", null, true);
            yield "
        </p>
      </div>

      <div class=\"mt-auto\">
        <span
          class=\"px-2 py-1 text-xs bg-transparent border rounded-lg border-line text-content\">
          ";
            // line 21
            yield Twig\Extension\EscaperExtension::escape($this->env, __("AI bot"), "html", null, true);
            yield "
        </span>
      </div>

      <a href=\"app/chat\" class=\"absolute top-0 left-0 z-10 w-full h-full\"></a>
    </div>
    ";
        }
        // line 28
        yield "
    ";
        // line 29
        if ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, true, false, 29), "writer", [], "any", false, true, false, 29), "is_enabled", [], "any", true, true, false, 29) && CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, false, false, 29), "writer", [], "any", false, false, false, 29), "is_enabled", [], "any", false, false, false, 29))) {
            // line 30
            yield "    <div
      class=\"relative flex flex-col justify-start gap-4 box hover:border-line\">
      <i
        class=\"ti ti-text-caption flex items-center justify-center w-10 h-10 text-white bg-black rounded-full bg-gradient-to-br from-[#FCBF49] to-[#F77F00]\"></i>

      <div>
        <h3 class=\"font-bold\">";
            // line 36
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("heading", "Writer"), "html", null, true);
            yield "</h3>
        <p class=\"text-sm text-content-dimmed mt-1 min-h-[3.75rem]\">
          ";
            // line 38
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("writer-tool-description", "Write SEO optimized blogs, sales emails and more..."), "html", null, true);
            yield "
        </p>
      </div>

      <div class=\"mt-auto\">
        <span
          class=\"px-2 py-1 text-xs bg-transparent border rounded-lg border-line text-content\">
          ";
            // line 45
            yield Twig\Extension\EscaperExtension::escape($this->env, __("Text generator"), "html", null, true);
            yield "
        </span>
      </div>

      <a href=\"app/presets\"
        class=\"absolute top-0 left-0 z-10 w-full h-full\"></a>
    </div>
    ";
        }
        // line 53
        yield "
    ";
        // line 54
        if ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, true, false, 54), "coder", [], "any", false, true, false, 54), "is_enabled", [], "any", true, true, false, 54) && CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, false, false, 54), "coder", [], "any", false, false, false, 54), "is_enabled", [], "any", false, false, false, 54))) {
            // line 55
            yield "    <div
      class=\"relative flex flex-col justify-start gap-4 box hover:border-line\">
      <i
        class=\"ti ti-device-laptop flex items-center justify-center w-10 h-10 text-white bg-black rounded-full bg-gradient-to-br from-[#F099C3] to-[#E03339]\"></i>

      <div>
        <h3 class=\"font-bold\">";
            // line 61
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("heading", "Coder"), "html", null, true);
            yield "</h3>
        <p class=\"text-sm text-content-dimmed mt-1 min-h-[3.75rem]\">
          ";
            // line 63
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("coder-tool-description", "Ready to write code at the speed of light?"), "html", null, true);
            yield "
        </p>
      </div>

      <div class=\"mt-auto\">
        <span
          class=\"px-2 py-1 text-xs bg-transparent border rounded-lg border-line text-content\">
          ";
            // line 70
            yield Twig\Extension\EscaperExtension::escape($this->env, __("Code writer"), "html", null, true);
            yield "
        </span>
      </div>

      <a href=\"app/coder\" class=\"absolute top-0 left-0 z-10 w-full h-full\"></a>
    </div>
    ";
        }
        // line 77
        yield "
    ";
        // line 78
        if ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, true, false, 78), "imagine", [], "any", false, true, false, 78), "is_enabled", [], "any", true, true, false, 78) && CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, false, false, 78), "imagine", [], "any", false, false, false, 78), "is_enabled", [], "any", false, false, false, 78))) {
            // line 79
            yield "    <div
      class=\"relative flex flex-col justify-start gap-4 box hover:border-line\">
      <i
        class=\"ti ti-palette flex items-center justify-center w-10 h-10 text-white bg-black rounded-full bg-gradient-to-br from-[#E6C0FE] to-[#984CF8]\"></i>

      <div>
        <h3 class=\"font-bold\">";
            // line 85
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("heading", "Imagine"), "html", null, true);
            yield "</h3>
        <p class=\"text-sm text-content-dimmed mt-1 min-h-[3.75rem]\">
          ";
            // line 87
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("imagine-tool-description", "Visualize what you dream of. Create images from text."), "html", null, true);
            yield "
        </p>
      </div>

      <div class=\"mt-auto\">
        <span
          class=\"px-2 py-1 text-xs bg-transparent border rounded-lg border-line text-content\">
          ";
            // line 94
            yield Twig\Extension\EscaperExtension::escape($this->env, __("Image generator"), "html", null, true);
            yield "
        </span>
      </div>

      <a href=\"app/imagine\"
        class=\"absolute top-0 left-0 z-10 w-full h-full\"></a>
    </div>
    ";
        }
        // line 102
        yield "
    ";
        // line 103
        if ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, true, false, 103), "transcriber", [], "any", false, true, false, 103), "is_enabled", [], "any", true, true, false, 103) && CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, false, false, 103), "transcriber", [], "any", false, false, false, 103), "is_enabled", [], "any", false, false, false, 103))) {
            // line 104
            yield "    <div
      class=\"relative flex flex-col justify-start gap-4 box hover:border-line\">
      <i
        class=\"ti ti-headphones flex items-center justify-center w-10 h-10 text-white bg-black rounded-full bg-gradient-to-br from-[#30C862] to-[#00A6FB]\"></i>

      <div>
        <h3 class=\"font-bold\">";
            // line 110
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("heading", "Transcriber"), "html", null, true);
            yield "</h3>
        <p class=\"text-sm text-content-dimmed mt-1 min-h-[3.75rem]\">
          ";
            // line 112
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("transcriber-tool-description", "Instantly transcribe spoken words into text."), "html", null, true);
            yield "
        </p>
      </div>

      <div class=\"mt-auto\">
        <span
          class=\"px-2 py-1 text-xs bg-transparent border rounded-lg border-line text-content\">
          ";
            // line 119
            yield Twig\Extension\EscaperExtension::escape($this->env, __("Speech to text"), "html", null, true);
            yield "
        </span>
      </div>

      <a href=\"app/transcriber\"
        class=\"absolute top-0 left-0 z-10 w-full h-full\"></a>
    </div>
    ";
        }
        // line 127
        yield "
    ";
        // line 128
        if ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, true, false, 128), "writer", [], "any", false, true, false, 128), "is_enabled", [], "any", true, true, false, 128) && CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["option"] ?? null), "features", [], "any", false, false, false, 128), "writer", [], "any", false, false, false, 128), "is_enabled", [], "any", false, false, false, 128))) {
            // line 129
            yield "    <div
      class=\"relative flex flex-col justify-start gap-4 box hover:border-line\">
      <i
        class=\"ti ti-microphone flex items-center justify-center w-10 h-10 text-white bg-black rounded-full bg-gradient-to-br from-[#BCE143] to-[#30C862]\"></i>

      <div>
        <h3 class=\"font-bold\">";
            // line 135
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("heading", "Voiceover"), "html", null, true);
            yield "</h3>
        <p class=\"text-sm text-content-dimmed mt-1 min-h-[3.75rem]\">
          ";
            // line 137
            yield Twig\Extension\EscaperExtension::escape($this->env, p__("voiceover-tool-description", "Convert your texts into lifelike speech"), "html", null, true);
            yield "
        </p>
      </div>

      <div class=\"mt-auto\">
        <span
          class=\"px-2 py-1 text-xs bg-transparent border rounded-lg border-line text-content\">
          ";
            // line 144
            yield Twig\Extension\EscaperExtension::escape($this->env, __("Text to speech"), "html", null, true);
            yield "
        </span>
      </div>

      <a href=\"app/voiceover\"
        class=\"absolute top-0 left-0 z-10 w-full h-full\"></a>
    </div>
    ";
        }
        // line 152
        yield "  </div>
</div>";
        return; yield '';
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName()
    {
        return "sections/dashboard/tools.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable()
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo()
    {
        return array (  276 => 152,  265 => 144,  255 => 137,  250 => 135,  242 => 129,  240 => 128,  237 => 127,  226 => 119,  216 => 112,  211 => 110,  203 => 104,  201 => 103,  198 => 102,  187 => 94,  177 => 87,  172 => 85,  164 => 79,  162 => 78,  159 => 77,  149 => 70,  139 => 63,  134 => 61,  126 => 55,  124 => 54,  121 => 53,  110 => 45,  100 => 38,  95 => 36,  87 => 30,  85 => 29,  82 => 28,  72 => 21,  62 => 14,  57 => 12,  49 => 6,  47 => 5,  41 => 2,  38 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "sections/dashboard/tools.twig", "/home/taskly/routerasusapp.com/resources/views/sections/dashboard/tools.twig");
    }
}
